Subject: Re: Porting LinuxPPC

From: Daniel Wu <[email-masked]>
Date: Tue, 30 May 2000 17:49:30 +1000

Hi,

I'm still having problems with booting the kernel - I've got to the point where the
compressed image has been successfully decompressed and starts to execute code in
kernel/head.S, which sets up the TLBs. However, as soon as the code turns on the
mmu, the code crashes!

I'm running this under a BDM monitor, could this be the source of the problem? One
thing I noticed is that the kernel uses virtual addresses starting at c0000000 and
the BDM monitor fails to do the translation. Is there any way to get around this?

Thanks in advance.

Regards,
Daniel

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/